Summary: A set of scripts used to install modules and dependencies for software updates.
Name: LWP_CPAN
Version: 2.0.0
Release: 1
Copyright: GPL
Group: Applications/System
Source: /source_control/packages/LWP_CPAN-2.0.0.tar.gz
#Patch: WhyIsThisHere-1.0.0.patch
BuildRoot: /tmp/%{name}-buildroot

%description
This package installs Perl modules required by any other
operating components for the Dolphin 2.0 project.
Specifically for libwww support.

%prep
%setup

#
#	Note that build order is important due to dependancies
#
%build
pwd
ls -l Digest-MD5-2.22.tar.gz
ls -l HTML-Parser-3.26.tar.gz
ls -l HTML-Tagset-3.03.tar.gz
ls -l MIME-Base64-2.16.tar.gz
ls -l URI-1.23.tar.gz
ls -l libnet-1.12.tar.gz
ls -l libwww-perl-5.68.tar.gz

tar -zxof Digest-MD5-2.22.tar.gz
tar -zxof HTML-Parser-3.26.tar.gz
tar -zxof HTML-Tagset-3.03.tar.gz
tar -zxof MIME-Base64-2.16.tar.gz
tar -zxof URI-1.23.tar.gz
tar -zxof libnet-1.12.tar.gz
tar -zxof libwww-perl-5.68.tar.gz




cd Digest-MD5-2.22

perl Makefile.PL  </dev/null
make all install
perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr </dev/null
make all

cd ..




cd HTML-Parser-3.26

perl Makefile.PL  </dev/null
make all install
perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr </dev/null
make all

cd ..


cd HTML-Tagset-3.03

perl Makefile.PL  </dev/null
make all install
perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr </dev/null
make all

cd ..



cd MIME-Base64-2.16

perl Makefile.PL  </dev/null
make all install
perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr </dev/null
make all

cd ..



cd URI-1.23

perl Makefile.PL  </dev/null
make all install
perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr </dev/null
make all

cd ..



cd libnet-1.12

perl Makefile.PL  </dev/null
make all install
perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr </dev/null
make all

cd ..



cd libwww-perl-5.68

perl Makefile.PL  PREFIX=$RPM_BUILD_ROOT/usr </dev/null
make all

cd ..




#
#	Install order is important - see above note!
#
%install

cd Digest-MD5-2.22
make install
cd ..

cd HTML-Parser-3.26
make install
cd ..

cd HTML-Tagset-3.03
make install
cd ..

cd MIME-Base64-2.16
make install
cd ..

cd URI-1.23
make install
cd ..

cd libnet-1.12
make install
cd ..

cd libwww-perl-5.68
make install
cd ..



%clean
rm -fr $RPM_BUILD_ROOT

%files

/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Digest/MD5/MD5.so
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Digest/MD5/MD5.bs
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Digest/MD5/.packlist
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/HTML/Parser/Parser.so
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/HTML/Parser/Parser.bs
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/HTML/Parser/.packlist
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/HTML/Tagset/.packlist
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/MIME/Base64/Base64.so
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/MIME/Base64/Base64.bs
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/MIME/Base64/.packlist
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/URI/.packlist
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Net/.packlist
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/libwww-perl/.packlist
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Digest/MD5.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/perllocal.pod
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/HTML/PullParser.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/HTML/Entities.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/HTML/Parser.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/HTML/TokeParser.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/HTML/LinkExtor.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/HTML/HeadParser.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/HTML/Filter.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/MIME/QuotedPrint.pm
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/MIME/Base64.pm
/usr/lib/perl5/site_perl/5.8.0/HTML/Tagset.pm
/usr/lib/perl5/site_perl/5.8.0/HTML/Form.pm
/usr/lib/perl5/site_perl/5.8.0/URI.pm
/usr/lib/perl5/site_perl/5.8.0/URI/_generic.pm
/usr/lib/perl5/site_perl/5.8.0/URI/ftp.pm
/usr/lib/perl5/site_perl/5.8.0/URI/_segment.pm
/usr/lib/perl5/site_perl/5.8.0/URI/tn3270.pm
/usr/lib/perl5/site_perl/5.8.0/URI/QueryParam.pm
/usr/lib/perl5/site_perl/5.8.0/URI/nntp.pm
/usr/lib/perl5/site_perl/5.8.0/URI/gopher.pm
/usr/lib/perl5/site_perl/5.8.0/URI/sips.pm
/usr/lib/perl5/site_perl/5.8.0/URI/WithBase.pm
/usr/lib/perl5/site_perl/5.8.0/URI/mailto.pm
/usr/lib/perl5/site_perl/5.8.0/URI/ldap.pm
/usr/lib/perl5/site_perl/5.8.0/URI/urn.pm
/usr/lib/perl5/site_perl/5.8.0/URI/_userpass.pm
/usr/lib/perl5/site_perl/5.8.0/URI/data.pm
/usr/lib/perl5/site_perl/5.8.0/URI/URL.pm
/usr/lib/perl5/site_perl/5.8.0/URI/telnet.pm
/usr/lib/perl5/site_perl/5.8.0/URI/_foreign.pm
/usr/lib/perl5/site_perl/5.8.0/URI/_server.pm
/usr/lib/perl5/site_perl/5.8.0/URI/Heuristic.pm
/usr/lib/perl5/site_perl/5.8.0/URI/news.pm
/usr/lib/perl5/site_perl/5.8.0/URI/_query.pm
/usr/lib/perl5/site_perl/5.8.0/URI/rtsp.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file.pm
/usr/lib/perl5/site_perl/5.8.0/URI/rlogin.pm
/usr/lib/perl5/site_perl/5.8.0/URI/https.pm
/usr/lib/perl5/site_perl/5.8.0/URI/ssh.pm
/usr/lib/perl5/site_perl/5.8.0/URI/http.pm
/usr/lib/perl5/site_perl/5.8.0/URI/rsync.pm
/usr/lib/perl5/site_perl/5.8.0/URI/pop.pm
/usr/lib/perl5/site_perl/5.8.0/URI/Escape.pm
/usr/lib/perl5/site_perl/5.8.0/URI/rtspu.pm
/usr/lib/perl5/site_perl/5.8.0/URI/snews.pm
/usr/lib/perl5/site_perl/5.8.0/URI/sip.pm
/usr/lib/perl5/site_perl/5.8.0/URI/_login.pm
/usr/lib/perl5/site_perl/5.8.0/URI/urn/oid.pm
/usr/lib/perl5/site_perl/5.8.0/URI/urn/isbn.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file/OS2.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file/QNX.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file/Base.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file/Unix.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file/Win32.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file/FAT.pm
/usr/lib/perl5/site_perl/5.8.0/URI/file/Mac.pm
/usr/lib/perl5/site_perl/5.8.0/Net/FTP.pm
/usr/lib/perl5/site_perl/5.8.0/Net/POP3.pm
/usr/lib/perl5/site_perl/5.8.0/Net/Config.pm
/usr/lib/perl5/site_perl/5.8.0/Net/Cmd.pm
/usr/lib/perl5/site_perl/5.8.0/Net/SMTP.pm
/usr/lib/perl5/site_perl/5.8.0/Net/Netrc.pm
/usr/lib/perl5/site_perl/5.8.0/Net/libnetFAQ.pod
/usr/lib/perl5/site_perl/5.8.0/Net/libnet.cfg
/usr/lib/perl5/site_perl/5.8.0/Net/NNTP.pm
/usr/lib/perl5/site_perl/5.8.0/Net/Time.pm
/usr/lib/perl5/site_perl/5.8.0/Net/Domain.pm
/usr/lib/perl5/site_perl/5.8.0/Net/FTP/L.pm
/usr/lib/perl5/site_perl/5.8.0/Net/FTP/A.pm
/usr/lib/perl5/site_perl/5.8.0/Net/FTP/dataconn.pm
/usr/lib/perl5/site_perl/5.8.0/Net/FTP/I.pm
/usr/lib/perl5/site_perl/5.8.0/Net/FTP/E.pm
/usr/lib/perl5/site_perl/5.8.0/Net/HTTPS.pm
/usr/lib/perl5/site_perl/5.8.0/Net/HTTP.pm
/usr/lib/perl5/site_perl/5.8.0/Net/HTTP/NB.pm
/usr/lib/perl5/site_perl/5.8.0/Net/HTTP/Methods.pm
/usr/lib/perl5/site_perl/5.8.0/LWP.pm
/usr/lib/perl5/site_perl/5.8.0/lwpcook.pod
/usr/lib/perl5/site_perl/5.8.0/Bundle/LWP.pm
/usr/lib/perl5/site_perl/5.8.0/WWW/RobotRules.pm
/usr/lib/perl5/site_perl/5.8.0/WWW/RobotRules/AnyDBM_File.pm
/usr/lib/perl5/site_perl/5.8.0/File/Listing.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Message.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Status.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Daemon.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Cookies.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Date.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Request.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Negotiate.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Response.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Headers.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Cookies/Netscape.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Cookies/Microsoft.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Request/Common.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Headers/ETag.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Headers/Util.pm
/usr/lib/perl5/site_perl/5.8.0/HTTP/Headers/Auth.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/RobotUA.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/UserAgent.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/MemberMixin.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Debug.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/media.types
/usr/lib/perl5/site_perl/5.8.0/LWP/ConnCache.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/MediaTypes.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/DebugFile.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Simple.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/ftp.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/gopher.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/nntp.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/mailto.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/https10.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/http.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/http10.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/file.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/GHTTP.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/nogo.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/data.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Protocol/https.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Authen/Ntlm.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Authen/Digest.pm
/usr/lib/perl5/site_perl/5.8.0/LWP/Authen/Basic.pm
/usr/share/man/man3/HTML::Parser.3pm.gz
/usr/share/man/man3/HTML::Entities.3pm.gz
/usr/share/man/man3/HTML::TokeParser.3pm.gz
/usr/share/man/man3/HTML::LinkExtor.3pm.gz
/usr/share/man/man3/HTML::Filter.3pm.gz
/usr/share/man/man3/HTML::HeadParser.3pm.gz
/usr/share/man/man3/HTML::Tagset.3pm.gz
/usr/share/man/man3/MIME::Base64.3pm.gz
/usr/share/man/man3/URI::URL.3pm.gz
/usr/share/man/man3/URI::WithBase.3pm.gz
/usr/share/man/man3/URI.3pm.gz
/usr/share/man/man3/URI::file.3pm.gz
/usr/share/man/man3/URI::data.3pm.gz
/usr/share/man/man3/URI::ldap.3pm.gz
/usr/share/man/man3/URI::Escape.3pm.gz
/usr/share/man/man3/URI::QueryParam.3pm.gz
/usr/share/man/man3/URI::Heuristic.3pm.gz
/usr/share/man/man3/Net::POP3.3pm.gz
/usr/share/man/man3/Net::SMTP.3pm.gz
/usr/share/man/man3/Net::Config.3pm.gz
/usr/share/man/man3/Net::Domain.3pm.gz
/usr/share/man/man3/Net::Cmd.3pm.gz
/usr/share/man/man3/Net::FTP.3pm.gz
/usr/share/man/man3/Net::Netrc.3pm.gz
/usr/share/man/man3/Net::NNTP.3pm.gz
/usr/share/man/man3/Net::Time.3pm.gz
/usr/share/man/man3/LWP::RobotUA.3pm.gz
/usr/share/man/man3/LWP::Authen::Ntlm.3pm.gz
/usr/share/man/man3/LWP.3pm.gz
/usr/share/man/man3/LWP::Protocol.3pm.gz
/usr/share/man/man3/HTTP::Message.3pm.gz
/usr/share/man/man3/HTML::Form.3pm.gz
/usr/share/man/man3/HTTP::Cookies::Netscape.3pm.gz
/usr/share/man/man3/Net::HTTP::NB.3pm.gz
/usr/share/man/man3/HTTP::Status.3pm.gz
/usr/share/man/man3/HTTP::Headers::Util.3pm.gz
/usr/share/man/man3/HTTP::Cookies::Microsoft.3pm.gz
/usr/share/man/man3/LWP::UserAgent.3pm.gz
/usr/share/man/man3/LWP::MemberMixin.3pm.gz
/usr/share/man/man3/LWP::Debug.3pm.gz
/usr/share/man/man3/Net::HTTP.3pm.gz
/usr/share/man/man3/HTTP::Daemon.3pm.gz
/usr/share/man/man3/HTTP::Cookies.3pm.gz
/usr/share/man/man3/LWP::ConnCache.3pm.gz
/usr/share/man/man3/File::Listing.3pm.gz
/usr/share/man/man3/lwpcook.3pm.gz
/usr/share/man/man3/LWP::MediaTypes.3pm.gz
/usr/share/man/man3/HTTP::Date.3pm.gz
/usr/share/man/man3/LWP::DebugFile.3pm.gz
/usr/share/man/man3/HTTP::Negotiate.3pm.gz
/usr/share/man/man3/WWW::RobotRules.3pm.gz
/usr/share/man/man3/HTTP::Request.3pm.gz
/usr/share/man/man3/HTTP::Response.3pm.gz
/usr/share/man/man3/LWP::Simple.3pm.gz
/usr/share/man/man3/HTTP::Headers.3pm.gz
/usr/share/man/man3/Bundle::LWP.3pm.gz
/usr/share/man/man3/Digest::MD5.3pm.gz
/usr/share/man/man3/HTML::PullParser.3pm.gz
/usr/share/man/man3/MIME::QuotedPrint.3pm.gz
/usr/share/man/man3/Net::libnetFAQ.3pm.gz
/usr/share/man/man3/HTTP::Request::Common.3pm.gz
/usr/share/man/man3/WWW::RobotRules::AnyDBM_File.3pm.gz
/usr/share/man/man1/lwp-download.1.gz
/usr/share/man/man1/GET.1.gz
/usr/share/man/man1/lwp-mirror.1.gz
/usr/share/man/man1/POST.1.gz
/usr/share/man/man1/lwp-rget.1.gz
/usr/share/man/man1/HEAD.1.gz
/usr/share/man/man1/lwp-request.1.gz
/usr/bin/decode-qp
/usr/bin/encode-qp
/usr/bin/decode-base64
/usr/bin/encode-base64
/usr/bin/GET
/usr/bin/POST
/usr/bin/HEAD
/usr/bin/lwp-mirror
/usr/bin/lwp-download
/usr/bin/lwp-rget
/usr/bin/lwp-request


%changelog
* Mon May 07 2001 gls
- 2.0.0-1 - Initial checkin
